CartesianCoordinate (KML Framework API)
Keywords: org.boehn.kmlframework.coordinates.CartesianCoordinate class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.coordinates
Class CartesianCoordinate

    java.lang.Object
      org.boehn.kmlframework.coordinates.CartesianCoordinate

All Implemented Interfaces:
  Coordinate

    public class CartesianCoordinate

extends java.lang.Object
implements Coordinate

Constructor Summary
`CartesianCoordinate()`
`CartesianCoordinate(double x, double y, double z)`

Method Summary
`void` | `add(CartesianCoordinate cartesianCoordinate)`
`double` | `distanceTo(CartesianCoordinate cartesianCoordinate)`
`double` | `getX()`
`double` | `getY()`
`double` | `getZ()`
`double` | `length()`
`void` | `normalize()`
`void` | `rotateAroundXAxis(double rotation)`
`void` | `rotateAroundYAxis(double rotation)`
`void` | `rotateAroundZAxis(double rotation)`
`void` | `scale(double scalingFactor)`
`void` | `setX(double x)`
`void` | `setY(double y)`
`void` | `setZ(double z)`
`void` | `subtract(CartesianCoordinate cartesianCoordinate)`
`EarthCoordinate` | `toEarthCoordinate(EarthCoordinate location, java.lang.Double rotation, CartesianCoordinate localReferenceCoordinate, CartesianCoordinate scale)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CartesianCoordinate

    public CartesianCoordinate()

### CartesianCoordinate

    public CartesianCoordinate(double x,
                               double y,
                               double z)

Method Detail

### getX

    public double getX()

### setX

    public void setX(double x)

### getY

    public double getY()

### setY

    public void setY(double y)

### getZ

    public double getZ()

### setZ

    public void setZ(double z)

### distanceTo

    public double distanceTo(CartesianCoordinate cartesianCoordinate)

### rotateAroundZAxis

    public void rotateAroundZAxis(double rotation)

### rotateAroundYAxis

    public void rotateAroundYAxis(double rotation)

### rotateAroundXAxis

    public void rotateAroundXAxis(double rotation)

### add

    public void add(CartesianCoordinate cartesianCoordinate)

### subtract

    public void subtract(CartesianCoordinate cartesianCoordinate)

### length

    public double length()

### normalize

    public void normalize()

### scale

    public void scale(double scalingFactor)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toEarthCoordinate

    public EarthCoordinate toEarthCoordinate(EarthCoordinate location,
                                             java.lang.Double rotation,
                                             CartesianCoordinate localReferenceCoordinate,
                                             CartesianCoordinate scale)

  Specified by:
    `toEarthCoordinate` in interface `Coordinate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD